Bug Hunting Session
Bug 95061 - EDITING: Animated image fractional duration fails
Summary: EDITING: Animated image fractional duration fails
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.5.2 release
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dialog Images-Animated
  Show dependency treegraph
 
Reported: 2015-10-14 16:20 UTC by David McCracken
Modified: 2017-06-13 20:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation with three animated images with differing duration entry procedures (18.55 KB, application/vnd.oasis.opendocument.presentation)
2015-10-15 02:26 UTC, David McCracken
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David McCracken 2015-10-14 16:20:33 UTC
Note: This is an editing bug, not rendering.
Impress is able to make a functioning animated image from graphic primitives only if the duration for each image is in whole seconds. To get less then one second or any longer with fractional component (e.g. 1.5) you have to type the number. When you do this, the image becomes static. This problem does not exist in the latest version of OpenOffice or in the old Star Office 7, which I have reinstalled just to confirm. This is not a rendering problem. Animated GIFs (created under the old StarOffice) play correctly in the new Libre Impress.

I suspect that the difference between typing the duration and selecting it by spinning is significant. I do a lot of Windows programming and have gotten so sick and tired of spin control quirks that I have made my own class for them to avoid problems like this.
Comment 1 David McCracken 2015-10-14 16:30:00 UTC
1. The problem does not exist in the latest release of OpenOffice.
2. The problem does not occur when the duration is selected by clicking up/down of the spin control.

Lines of inquiry:
1. Spin controls are integer. To get fractional data you need to use scaled integers.
2. Spin controls send a lot of messages, most of which can be ignored; but then something really important gets missed.
3. Since this problem doesn't exist in OpenOffice, it seems likely that someone overlooked the nasty complexities involved in spin controls.
4. Since the problem also doesn't exist in StarOffice, it is a newly introduced bug in the Libre branch.
Comment 2 Joel Madero 2015-10-14 18:57:36 UTC
Please attach a simple sample document then set to UNCONFIRMED.
Comment 3 David McCracken 2015-10-15 02:00:25 UTC
I don't understand how a sample document would be useful. The problem is procedural. If you select image duration by clicking the spin control buttons, the created image is animated. If you create an animated image identical in every but type fractional durations, such as 0.5 or 1.5, the created image is static. I could save the two results as separate files but they would not show the procedural difference.
Comment 4 David McCracken 2015-10-15 02:26:38 UTC
Created attachment 119629 [details]
Presentation with three animated images with differing duration entry procedures

I don't know whether this is any help but I made a simple presentation slide with three animated images. All three are composed of the same two rectangles following the same procedure for each except that for the first I selected 1.0 second durations by clicking a spin control button; for the second I typed the 1.0 second durations into the edit field of the spin control; and for the third I typed 1.5 second durations. The first two animate correctly. The third is static.
Comment 5 Buovjaga 2015-10-18 16:53:56 UTC
Using attachment 119629 [details] I could reproduce the problem.

1. Insert - Animated image
2. Select Bitmap object
3. Enter 1,5 to the field in the middle
4. Select the bigger rectangle from the "Image sources" and click the button in the animated images dialog to "Add selected object as a single image"
5. Do the same for the smaller rectangle
6. Click Create in the Animated image dialog

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 6 David McCracken 2015-11-02 03:31:15 UTC
Beluga's comment made me wonder whether the problem might be related to localization of , vs . in numbers. I tested with , instead of . and got the same result.
Comment 7 David McCracken 2016-03-12 05:03:57 UTC
I don't understand how you could consider this a minor bug, considering that it makes animation worthless and it is a problem that does not exist in earlier versions of the code base or in the current version of Open Office. I thought that Libre would be a better choice than Open, as it has more frequent updates but if updates only break existing functionality then Libre is itself worthless. It pains me to say this to developers who are working for the public good but if what you do is bad who benefits?
Comment 8 Joel Madero 2016-03-12 05:14:50 UTC
(In reply to David McCracken from comment #7)
> I don't understand how you could consider this a minor bug, considering that
> it makes animation worthless and it is a problem that does not exist in
> earlier versions of the code base or in the current version of Open Office.
> I thought that Libre would be a better choice than Open, as it has more
> frequent updates but if updates only break existing functionality then Libre
> is itself worthless. It pains me to say this to developers who are working
> for the public good but if what you do is bad who benefits?

It literally makes no difference for when the bug is fixed. It's an objective categorization, if a developer (volunteer, we don't control them, we don't dictate what gets fixed) wants to fix it, they'll fix it. 

A good chunk of users fail to understand this and many scream and yell about how their pet bug is "the one" . . . the options are always the same:

1) Fix it yourself;
2) Pay for a fix through a certified developer;
3) find a friend, family member, etc... to fix it (I suggest treating them to a nice meal if they do)
4) Wait patiently

There are no other options. If you want to help you can test older versions and see if it ever worked in LibreOffice, if it did, we can do additional things to move it along.

http://downloadarchive.documentfoundation.org/libreoffice/old/
Comment 9 Buovjaga 2016-03-13 12:35:26 UTC
(In reply to David McCracken from comment #7)
> It pains me to say this to developers who are working
> for the public good but if what you do is bad who benefits?

You don't have to be a developer to make it better. Analyzing bug reports and keeping the bug tracker organized is very valuable. Do consider contributing to QA: https://wiki.documentfoundation.org/QA

Regarding severity, I tried to go by this guideline we have:
https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

On minor severity: "..or require users to not use some features"
Comment 10 QA Administrators 2017-05-22 13:20:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522